使用LNMP一键安装包搭建运行环境的时候请合理选择相关软件版本,避免运行卡顿


使用过多种linux环境下的一键集成环境软件搭建网站运行的软件环境,不过最后还是选择了军哥的LNMP,虽然没有宝塔面板等带有管理面板的集成环境直观,但是对于低配置的主机来说确实最合适的,而且因为是使用命令行的方式进行管理,对于我们练习命令行也是非常有用的。

虽然是使用命令行进行管理,但是LNMP提供了非常简单实用的内置命令,极大的简化了我们管理的难度。新手朋友也不要担心不会使用。关于LNMP的管理命令,官网有很多说明,可以自己看下!

今天我想重点说的一个问题就是,很多用LNMP的朋友都容易忽略一个问题,那就是没有针对自己的主机配置选择合适的软件,造成主机运行卡顿,反而埋怨LNMP不好用。

LNMP提供了非常多丰富的MySQ和PHP版本

那么我们要如何选择呢?

我们先看下lnmp的系统要求(lnmp.org写的很清楚,这里直接引用过来)

系统需求:

  • CentOS/RHEL/Fedora/Debian/Ubuntu/Raspbian/Deepin/Aliyun/Amazon/Mint Linux发行版
  • 需要5GB以上硬盘剩余空间,MySQL 5.7,MariaDB 10至少9GB剩余空间
  • 需要128MB以上内存(128MB小内存VPS,Xen需有SWAP,OpenVZ至少要有128MB以上的vSWAP或突发内存),注意小内存请勿使用64位系统!
  • 安装MySQL 5.6或5.7及MariaDB 10必须1G以上内存,更高版本至少要2G内存!
  • 安装PHP 7及以上版本必须1G以上内存!
  • VPS或服务器必须已经联网且必须设置的是网络源不能是光盘源,同时VPS/服务器DNS要正常!
  • Linux下区分大小写,输入命令时请注意!
  • 如有通过yum或apt-get安装的MySQL/MariaDB请自行备份数据等相关文件!
  • CentOS 5,Debian 6及之前版本其官网已经结束支持无法使用!

可以看到,高版本的软件对主机各个硬件配置还是有更高要求的,尤其是对内存和硬盘的要求。

比如:MySQL 5.7,MariaDB 10至少9GB剩余空间,安装PHP 7及以上版本必须1G以上内存!。

因此我们在使用LNMP搭建运行环境的时候一定要根据自己主机的硬件情况合理的选择软件版本。

鉴于目前大部分便宜的VPS或者云主机都是 1 CPU ,1G ,40G,1M的配置,显然我们无法使用更高版本的mysql和PHP。比如PHP,我们最高可以选择PHP 5.6,如下图,lnmp默认的也是php 5.6

有的朋友会说高版本的软件能带来更好的性能,没错,不过也是需要更高的主机投入的,这就看自己的取舍了。

关于LNMP的安装,可以看这里:https://lnmp.org/install.html

免责声明:该资源版权归原作者所有,本站只是负责搜集和整理,本站不承担任何技术及版权问题。在本站下载该资源仅提供学习参考和研究,不得用于商业用途,否则一切后果请用户自负。请在下载后在24小时内删除,一切关于该资源商业行为与学士资源网无关。本站也不承担用户因使用这些下载资源对自己和他人造成任何形式的损失或伤害。如有侵权、不妥之处,请联系站长以便及时删除,敬请谅解!侵权/投稿邮箱:zhuanyexueshi@163.com
学士资源网 » 使用LNMP一键安装包搭建运行环境的时候请合理选择相关软件版本,避免运行卡顿

1 评论

发表评论

学士资源网为大家提供最优质的资源集合

联系学士 资源Q群
嘿,我来帮您!